Bug 1446501 - CVE-2017-8105 freetype: heap-based buffer overflow related to the t1_decoder_parse_charstrings [fedora-all]
Summary: CVE-2017-8105 freetype: heap-based buffer overflow related to the t1_decoder_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-8105
TreeView+ depends on / blocked
 
Reported: 2017-04-28 08:55 UTC by Adam Mariš
Modified: 2017-05-07 00:01 UTC (History)
4 users (show)

Fixed In Version: freetype-2.7.1-6.fc26 freetype-2.6.3-5.fc24 freetype-2.6.5-7.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-06 17:10:51 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-28 08:55:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-04-28 08:55:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1446500

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-05-02 15:39:15 UTC
freetype-2.6.3-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-950cc68400

Comment 3 Fedora Update System 2017-05-02 15:39:31 UTC
freetype-2.6.5-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5760b80676

Comment 4 Fedora Update System 2017-05-02 15:39:42 UTC
freetype-2.7.1-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71b9a2ef5f

Comment 5 Fedora Update System 2017-05-03 01:02:36 UTC
freetype-2.6.3-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-950cc68400

Comment 6 Fedora Update System 2017-05-04 15:20:23 UTC
freetype-2.6.5-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5760b80676

Comment 7 Fedora Update System 2017-05-04 15:20:58 UTC
freetype-2.7.1-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71b9a2ef5f

Comment 8 Fedora Update System 2017-05-05 21:01:08 UTC
freetype-2.6.5-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5760b80676

Comment 9 Fedora Update System 2017-05-05 22:37:22 UTC
freetype-2.7.1-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-71b9a2ef5f

Comment 10 Fedora Update System 2017-05-06 17:10:51 UTC
freetype-2.7.1-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-05-06 23:52:03 UTC
freetype-2.6.3-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-07 00:01:58 UTC
freetype-2.6.5-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.